## puredata 0.48.1

=== debian/changelog ===
puredata (0.48.1-3) unstable; urgency=medium

  * Factored out puredata-gui-l10n
    * so people can opt out
  * Removed unused utf-8 patch
  * Adopted package into the debian-multimedia team

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Feb 2018 21:11:48 +0100

puredata (0.48.1-2) unstable; urgency=medium

  * Install platform-independend pkg-config script to /usr/share
  * Fixed spelling error in d/changelog
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Bumped dh compat to 11
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
  * Added d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:45:03 +0100

puredata (0.48.1-1) unstable; urgency=medium

  * New upstream version 0.48.1

  * Refreshed pd2puredata patch
    * Made pd2puredata-patch update more resilient
  * Refreshed patches
  * Don't explicitly set DEB_HOST_ARCH_OS
  * Dropped unused B-Ds
  * Bumped dh compat to 11
    * Dropped "--with-autoreconf"
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 18:55:31 +0100

=== debian/control ===
Source: puredata
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 python3,
 help2man,
 gettext,
 libasound2-dev [linux-any],
 portaudio19-dev,
 libjack-dev,
Standards-Version: 4.1.3
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata

Package: puredata
Architecture: all
Depends:
 ${misc:Depends},
 puredata-core,
 puredata-gui,
 puredata-doc,
 puredata-extra,
 puredata-utils,
 puredata-dev,
Recommends:
 gem,
Suggests:
 pd-aubio,
 pd-csound,
 pd-pdp,
 pd-zexy,
 multimedia-puredata,
Description: realtime computer music and graphics system
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This is a metapackage that depends on all components of the core of Pd.

Package: puredata-core
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 puredata-gui,
Provides: pd
Replaces: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
Description: realtime computer music and graphics system - core components
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package only provides the core infrastructure of Pure Data.
 Most likely you will want to install "puredata-gui" (or even "puredata")
 as well.

Package: puredata-gui
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 python3:any,
 tk (>=8.4),
 tcl8.5 | tclsh,
Recommends:
 puredata,
 puredata-gui-l10n,
Replaces: puredata (<< 0.43),
 puredata-core (<< 0.43.0-5)
Breaks: puredata (<< 0.43),
 puredata-core (<< 0.43.0-5)
Description: realtime computer music and graphics system - GUI
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the graphical user-interface for Pure Data.
 Most likely you will want to install "puredata-core" (or even "puredata")
 as well.
 Installing this package without the accompanying puredata-core is only useful
 if you want to run the GUI and the DSP on different machines.

Package: puredata-gui-l10n
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 puredata-gui (>= ${source:Upstream-Version}),
 puredata-gui (<< ${source:Upstream-Version}+1~),
Replaces:
 puredata-gui (<< 0.48.1-2),
Breaks:
 puredata-gui (<< 0.48.1-2),
Description: realtime computer music and graphics system - translations
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the translations for the graphical user-interface of
 Pure Data.

Package: puredata-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 puredata,
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - documentation
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the documentation for Pure Data.
 Most likely you will want to install "puredata" as well.

Package: puredata-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - development files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the header-files for compiling externals (plugins) for
 puredata.

Package: puredata-utils
Section: utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides: pd-utils
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - utility programs
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides utility applications for puredata, namely pdsend and
 pdreceive, for sending and receiving FUDI over the net.

Package: puredata-extra
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core (>= ${source:Version}),
 puredata-core (<< ${source:Upstream-Version}+1~),
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - extra files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides extra objects that come with Pd, e.g. for signal
 analysis (fiddle~, sigmund~, bonk~) and more.
 .
 The objects for expression evaluation (expr~) have been included into
 puredata-core, so they are no longer part of this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

## use hardening some flags
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=+format,-fortify,+stackprotector,+relro
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

## only link what is needed
LDFLAGS+=-Wl,--as-needed

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif
archconfflags += --enable-jack
archconfflags += --without-local-portaudio --without-local-portmidi

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  CFLAGS+=-D__BSD_VISIBLE
endif

## set timestamp for reproducible builds
DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif
VERSION_CPPFLAGS ="-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)"

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
%:
	dh $@

override_dh_autoreconf:
	mkdir -p m4/generated
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--program-transform-name='s/pd$$/puredata/' \
		--libdir=/usr/lib/ \
		$(archconfflags) \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_build: debian/gui-plugins/pd-gui-plugin.1
	make CPPFLAGS=$(VERSION_CPPFLAGS)

debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
	help2man -N -n "enable or disable a Pd GUI plugin" $< > $@

override_dh_install:
	find debian/tmp -type f -name "pd.pc" -exec \
		sed -e 's|^Libs: .*|Libs:|' -e 's| -fPIC||' -i {} +
	dh_install -X "*.la" -X "LICENSE.txt"

override_dh_auto_clean:
	-rm -f debian/gui-plugins/pd-gui-plugin.1
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG.txt

override_dh_fixperms:
	dh_fixperms
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		chmod 0644 {} +
endif
ifneq (,$(findstring puredata-gui, $(shell dh_listpackages)))
	find debian/puredata-gui/ -type f -name "pkg_mkIndex.tcl" -exec \
		chmod 0755 {} +
endif

override_dh_shlibdeps:
	dh_shlibdeps
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/puredata-extra.substvars {} +
endif

override_dh_strip:
	dh_strip
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +
endif

override_dh_compress:
	dh_compress -X.pd -X.wav -X.aiff -X.txt

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## puredata 0.48.2

=== debian/changelog ===
puredata (0.48.2-1) unstable; urgency=medium

  * New upstream version 0.48.2
    * Refresh patches
    * Drop patches applied upstream
  * Unversioned dependency on tcl.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #905979)
  * Recommend "sensible-utils" for opening HTML-files with a browser

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Aug 2018 08:29:57 +0200

puredata (0.48.1-7) unstable; urgency=medium

  * Updated Breaks+Replaces due to moving puredata.xpm between packages
    (Closes: #903803)
    (LP: #1781512)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 15 Jul 2018 22:03:54 +0200

puredata (0.48.1-6) unstable; urgency=medium

  * Fixed declared-but-unimplemented patch to not dropped implemented functions
    (Closes: #903652)
  * Added smoketest to autpktests
  * Moved puredata.xpm file to puredata-gui

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jul 2018 20:47:49 +0200

puredata (0.48.1-5) unstable; urgency=medium

  * Patch to remove all declared-but-unimplemented symbols
  * Added lintian-override for loop~ seemingly not linking against libc
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Jul 2018 00:16:02 +0200

puredata (0.48.1-4) unstable; urgency=medium

  * puredata-gui-l10n fixes
    * Fixed Breaks/Replaces for proper migration (Closes: #892046)
    * Package belongs to section "localization"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 20:05:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata
@@ -69,14 +69,15 @@
  ${misc:Depends},
  python3:any,
  tk (>=8.4),
- tcl8.5 | tclsh,
+ tcl,
 Recommends:
  puredata,
  puredata-gui-l10n,
+ sensible-utils,
 Replaces: puredata (<< 0.43),
- puredata-core (<< 0.43.0-5)
+ puredata-core (<< 0.48.1-6),
 Breaks: puredata (<< 0.43),
- puredata-core (<< 0.43.0-5)
+ puredata-core (<< 0.48.1-6),
 Description: realtime computer music and graphics system - GUI
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
@@ -90,14 +91,15 @@
 Package: puredata-gui-l10n
 Architecture: all
 Multi-Arch: foreign
+Section: localization
 Depends:
  ${misc:Depends},
  puredata-gui (>= ${source:Upstream-Version}),
  puredata-gui (<< ${source:Upstream-Version}+1~),
 Replaces:
- puredata-gui (<< 0.48.1-2),
+ puredata-gui (<< 0.48.1-3~),
 Breaks:
- puredata-gui (<< 0.48.1-2),
+ puredata-gui (<< 0.48.1-3~),
 Description: realtime computer music and graphics system - translations
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.

## puredata 0.49.0

=== debian/changelog ===
puredata (0.49.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 07 Mar 2019 15:45:40 +0100

puredata (0.49.0-3) unstable; urgency=medium

  * Process debian/patches/ with "gbp pq"
  * Backported upstream fixes
    * crash in "triggerize"
    * memleak in "triggerize"
    * undo for "tidy up"
    * spelling fixes in German translation
  * Updated d/copyright
    * Added more exceptions to 'licensecheck' target
    * Regenerated d/copyright_hints
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Jan 2019 12:09:07 +0100

puredata (0.49.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Sep 2018 10:24:19 +0200

puredata (0.49.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Sep 2018 10:10:47 +0200

puredata (0.49.0-2~exp1) experimental; urgency=medium

  * Versioned dependencies of puredata metapackage on the child-packages
    so installing a given version of "puredata" installs all components
    with that version
  * Use exact version-match for l10n dependency on gui
  * Use "Breaks" to ensure that co-installed core and gui have the same version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Sep 2018 21:39:39 +0200

puredata (0.49.0-1) unstable; urgency=medium

  * New upstream version 0.49.0
    * Refreshed patches
  * Don't require "root" to build package
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Sep 2018 09:43:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	^\./\.git/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
+	^\./\.git|\./\.pc/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
 %:
 	dh $@
 
@@ -101,7 +101,7 @@
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
 
 licensecheck:
-	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

=== debian/tests/control ===
# simplistic smoke test
Test-Command: pd -nogui -send "pd quit"
Restrictions: allow-stderr
Depends: @

## puredata 0.50.0

=== debian/changelog ===
puredata (0.50.0-1) unstable; urgency=medium

  * New upstream version 0.50.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed pd2puredata patch
  * Drop patches applied upstream.
  * Register doc-base files in /usr/share/doc/
  * Drop obsolete d/source/local-options
  * Refresh d/copyright_hints
  * Bump dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 11:30:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 11),
  python3,
  help2man,
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata
@@ -22,12 +23,12 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- puredata-core,
- puredata-gui,
- puredata-doc,
- puredata-extra,
+ puredata-core  (>= ${source:Version}), puredata-core  (<< ${source:Upstream-Version}+1~),
+ puredata-dev   (>= ${source:Version}), puredata-dev   (<< ${source:Upstream-Version}+1~),
+ puredata-doc   (>= ${source:Version}), puredata-doc   (<< ${source:Upstream-Version}+1~),
+ puredata-extra (>= ${source:Version}), puredata-extra (<< ${source:Upstream-Version}+1~),
+ puredata-gui   (>= ${source:Version}), puredata-gui   (<< ${source:Upstream-Version}+1~),
  puredata-utils,
- puredata-dev,
 Recommends:
  gem,
 Suggests:
@@ -53,7 +54,8 @@
  puredata-gui,
 Provides: pd
 Replaces: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
-Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
+Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5),
+ puredata-gui (>> ${source:Upstream-Version}+1~), puredata-gui (<< ${source:Upstream-Version}),
 Description: realtime computer music and graphics system - core components
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
@@ -77,7 +79,7 @@
 Replaces: puredata (<< 0.43),
  puredata-core (<< 0.48.1-6),
 Breaks: puredata (<< 0.43),
- puredata-core (<< 0.48.1-6),
+ puredata-core (>> ${source:Upstream-Version}+1~), puredata-core (<< ${source:Upstream-Version}),
 Description: realtime computer music and graphics system - GUI
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
@@ -94,8 +96,7 @@
 Section: localization
 Depends:
  ${misc:Depends},
- puredata-gui (>= ${source:Upstream-Version}),
- puredata-gui (<< ${source:Upstream-Version}+1~),
+ puredata-gui (= ${source:Version}),
 Replaces:
  puredata-gui (<< 0.48.1-3~),
 Breaks:
@@ -159,8 +160,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- puredata-core (>= ${source:Version}),
- puredata-core (<< ${source:Upstream-Version}+1~),
+ puredata-core (>= ${source:Version}), puredata-core (<< ${source:Upstream-Version}+1~),
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
 Description: realtime computer music and graphics system - extra files

## puredata 0.50.2

=== debian/changelog ===
puredata (0.50.2-3) unstable; urgency=medium

  * Symlink to doc/8.topics (Closes: #950838)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 23:30:39 +0100

puredata (0.50.2-2) unstable; urgency=medium

  * Install docs/8.topics (Closes: #950838)
  * Patch to avoid privacy breach in HTML documentation
    * Have puredata-doc recommend the "node-html5shiv" package
  * Use "DEB_*FLAGS_APPEND" for appending additional flags
  * Don't quote placeholder in mailcap entries
  * Remove obsolete d/TODO.Debian
  * Don't mark the autopkgtest as "superficial"
  * Add salsa-ci configuration
    * Ignore '-D_FORTIFY_SOURCE=2' in blhc ci-tests
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 15:52:39 +0100

puredata (0.50.2-1) unstable; urgency=medium

  * New upstream version 0.50.2
    * Refreshed pd2puredata patch
  * Mark smoke-test as 'superficial'
  * Bump dh compat to 12
  * Bump standards version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Oct 2019 13:51:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  python3,
  help2man,
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
@@ -115,6 +115,7 @@
  ${misc:Depends},
 Recommends:
  puredata,
+ node-html5shiv,
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
 Description: realtime computer music and graphics system - documentation

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,16 @@
 
 ## use hardening some flags
 DPKG_EXPORT_BUILDFLAGS = 1
+# if you change values below, you might also need to fix d/salsa-ci.yml
 DEB_BUILD_MAINT_OPTIONS=hardening=+format,-fortify,+stackprotector,+relro
 export DEB_BUILD_MAINT_OPTIONS
+
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
+export DEB_CPPFLAGS_MAINT_APPEND=
 ## only link what is needed
-LDFLAGS+=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 archconfflags :=
 
@@ -22,7 +25,7 @@
 archconfflags += --without-local-portaudio --without-local-portmidi
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-  CFLAGS+=-D__BSD_VISIBLE
+  DEB_CPPFLAGS_MAINT_APPEND+=-D__BSD_VISIBLE
 endif
 
 ## set timestamp for reproducible builds
@@ -32,7 +35,7 @@
 else
     BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
 endif
-VERSION_CPPFLAGS ="-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)"
+CPPFLAGS_VERSION=-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -51,11 +54,10 @@
 	dh_auto_configure -- \
 		--program-transform-name='s/pd$$/puredata/' \
 		--libdir=/usr/lib/ \
-		$(archconfflags) \
-		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+		$(archconfflags)
 
 override_dh_auto_build: debian/gui-plugins/pd-gui-plugin.1
-	make CPPFLAGS=$(VERSION_CPPFLAGS)
+	dh_auto_build -- CPPFLAGS="$(CPPFLAGS_VERSION)"
 
 debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
 	help2man -N -n "enable or disable a Pd GUI plugin" $< > $@

=== debian/tests/control ===
# simple test to see whether the message-system works
Test-Command: pd -nogui -send "pd quit"
Restrictions: allow-stderr
Depends: @

## puredata 0.51.1

=== debian/changelog ===
puredata (0.51.1-1) unstable; urgency=medium

  * New upstream version 0.51.1
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Aug 2020 22:15:26 +0200

puredata (0.51.0-1) unstable; urgency=medium

  * New upstream version 0.51.0

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.32p1-1, 0.28-3.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Fix day-of-week for changelog entries 0.32p1-2, 0.32p1-1, 0.28-2.

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Update d/changelog
    * Run licensecheck wit UTF-8 support
    * Regenerate d/copyright_hints
  * Remove duplicate doc-files from /usr/share
  * Don't install Makefile.am
  * Enable per-user GUI-plugins in ~/.local/lib/pd/extra
    (rather than ~/pd-externals)
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Jun 2020 21:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3,
  help2man,
  gettext,

## puredata 0.51.4

=== debian/changelog ===
puredata (0.51.4-1) unstable; urgency=medium

  * New upstream version 0.51.4
    * Refresh pd2puredata patch
    * Refresh patches (with 'gbp pq')
  * Backport patches from upstream's develop branch
  * Demote dependency on "gem" to "Suggests"
  * Fix d/watch to filter on proper versions
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Dec 2020 21:18:32 +0100

puredata (0.51.3-1) unstable; urgency=medium

  * New upstream version 0.51.3
    * Refresh patches
    * Remove patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Nov 2020 21:23:32 +0100

puredata (0.51.2-1) unstable; urgency=medium

  * New upstream version 0.51.2
    * Refresh pd2puredata patch
    * Refresh patches with "gbp pq"
  * Backport bugfixes from Pd-repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Sep 2020 18:14:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,10 @@
 override_dh_install:
 	find debian/tmp -type f -name "pd.pc" -exec \
 		sed -e 's|^Libs: .*|Libs:|' -e 's| -fPIC||' -i {} +
-	dh_install -X "*.la" -X "LICENSE.txt"
+	dh_install -X "*.la" -X "LICENSE.txt" -X "Makefile.am"
+	rm -rf debian/puredata-doc/usr/share/puredata/doc/1.manual/1.introduction.txt
+	rm -rf debian/puredata-doc/usr/share/puredata/doc/5.reference
+	rm -rf debian/puredata-doc/usr/share/puredata/doc/7.stuff
 
 override_dh_auto_clean:
 	-rm -f debian/gui-plugins/pd-gui-plugin.1
@@ -103,7 +106,7 @@
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
 
 licensecheck:
-	LANG=C licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C.UTF-8 licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

=== debian/watch ===
# process this file with 'uscan'
version=3
opts="uversionmangle=s/-/./;s/test/~/" \
  http://msp.ucsd.edu/Software/pd-@ANY_VERSION@.src.tar.gz

## puredata 0.52.1%2Bds0

=== debian/tests/control ===
Test-Command: pd -nogui -send "pd quit"
Restrictions: allow-stderr
Depends:
 @,

## puredata 0.52.1+ds0

=== libpd/Makefile ===
# This is a makefile to build libpd from vanilla Pd sources.  It assumes that
# the Pd source directory "../src" is parallel to this directory in order to
# find the Pd sources.

UNAME = $(shell uname)
SOLIB_PREFIX = lib
STATICLIB_EXT = a
LIBPD_IMPLIB =
LIBPD_DEF =
PLATFORM_ARCH ?= $(shell $(CC) -dumpmachine | sed -e 's,-.*,,')

ifeq ($(UNAME), Darwin)  # Mac
  SOLIB_EXT = dylib
  PLATFORM_CFLAGS = -DHAVE_LIBDL
  PLATFORM_LDFLAGS = -dynamiclib -ldl -Wl,-no_compact_unwind
  ifeq ($(FAT_LIB), true)
    # macOS universal "fat" lib compilation
    MAC_VER = $(shell sw_vers -productVersion | cut -f1 -f2 -d.)
    ifeq ($(shell expr $(MAC_VER) \<= 10.13), 1)
      # universal1: macOS 10.6 - 10.13
      FAT_ARCHS ?= -arch i386 -arch x86_64
    endif
    ifeq ($(shell expr $(MAC_VER) \>= 11.0), 1)
      # universal2: macOS 11.0+
      FAT_ARCHS ?= -arch arm64 -arch x86_64
    endif
    FAT_ARCHS ?= -arch $(PLATFORM_ARCH)
    PLATFORM_CFLAGS += $(FAT_ARCHS)
    PLATFORM_LDFLAGS += $(FAT_ARCHS)
  endif
else
  ifeq ($(OS), Windows_NT)  # Windows, use Mingw
    CC ?= gcc
    SOLIB_EXT = dll
    SOLIB_PREFIX =
    LIBPD_IMPLIB = libpd.lib
    LIBPD_DEF = libpd.def
    PLATFORM_CFLAGS = -DWINVER=0x502 -DWIN32 -D_WIN32 -DPD_INTERNAL
    MINGW_LDFLAGS = -shared -Wl,--export-all-symbols -lws2_32 -lkernel32 \
                    -static-libgcc
    PLATFORM_LDFLAGS = $(MINGW_LDFLAGS) -Wl,--output-def=$(LIBPD_DEF) \
                       -Wl,--out-implib=$(LIBPD_IMPLIB)
  else  # Linux or *BSD
    SOLIB_EXT = so
    PLATFORM_CFLAGS = -Wno-int-to-pointer-cast -Wno-pointer-to-int-cast -fPIC
    PLATFORM_LDFLAGS = -shared -Wl,-Bsymbolic
    ifeq ($(UNAME), Linux)
      PLATFORM_CFLAGS += -DHAVE_LIBDL
      PLATFORM_LDFLAGS += -ldl
    endif
  endif
endif

VPATH = ../src:\
../extra/bob~:../extra/bonk~:../extra/choice:../extra/fiddle~:../extra/loop~:\
../extra/lrshift~:../extra/pd~:../extra/pique:../extra/sigmund~:../extra/stdout

# The C flags are separated into CPPFLAGS, CODECFLAGS, and MORECFLAGS
# to allow easy overriding of CODECFLAGS and to allow adding MORECFLAGS:

# C preprocessor flags, and flags controlling errors and warnings
CPPFLAGS = -I../src -DPD -DHAVE_UNISTD_H -DUSEAPI_DUMMY -DLIBPD_EXTRA \
    -DPDINSTANCE

# code generation flags (e.g., optimization).
CODECFLAGS = -fPIC -ffast-math -funroll-loops -fomit-frame-pointer -O3

# anything else you want to specify.
MORECFLAGS =

# additional linker flags to override to add more (like "-g").
MORELDFLAGS =

CFLAGS = $(CPPFLAGS) $(PLATFORM_CFLAGS) $(CODECFLAGS) $(MORECFLAGS)
LDFLAGS = $(PLATFORM_LDFLAGS) $(MORELDFLAGS)

PDSRC = g_canvas.c g_graph.c g_text.c g_rtext.c g_array.c g_template.c g_io.c \
    g_scalar.c g_traversal.c g_guiconnect.c g_readwrite.c g_editor.c g_clone.c \
    g_all_guis.c g_bang.c g_hdial.c g_hslider.c g_mycanvas.c g_numbox.c \
    g_toggle.c g_undo.c g_vdial.c g_vslider.c g_vumeter.c \
    g_editor_extras.c \
    m_pd.c m_class.c m_obj.c m_atom.c m_memory.c m_binbuf.c \
    m_conf.c m_glob.c m_sched.c \
    s_main.c s_inter.c s_print.c \
    s_loader.c s_path.c s_entry.c s_audio.c s_midi.c s_net.c s_utf8.c \
    s_audio_paring.c \
    d_ugen.c d_ctl.c d_arithmetic.c d_osc.c d_filter.c d_dac.c d_misc.c \
    d_math.c d_fft.c d_fft_fftsg.c d_array.c d_global.c \
    d_delay.c d_resample.c d_soundfile.c d_soundfile_aiff.c d_soundfile_caf.c \
    d_soundfile_next.c d_soundfile_wave.c \
    x_arithmetic.c x_connective.c x_interface.c x_midi.c x_misc.c \
    x_time.c x_acoustics.c x_net.c x_text.c x_gui.c x_list.c x_array.c \
    x_file.c x_scalar.c  x_vexp.c x_vexp_if.c x_vexp_fun.c \

SRC = $(PDSRC) \
    x_libpdreceive.o s_audio_dummy.o s_midi_dummy.o \
    z_hooks.o z_libpd.o z_print_util.o z_queued.o z_ringbuffer.o \
    bob~.o bonk~.o choice.o fiddle~.o loop~.o lrshift~.o pique.o sigmund~.o \
    pd~.o stdout.o

OBJ = $(SRC:.c=.o)

LIBPD = $(SOLIB_PREFIX)pd.$(SOLIB_EXT)
LIBPD_STATIC = libpd.$(STATICLIB_EXT)

.PHONY: libpd clean

libpd: $(LIBPD) $(LIBPD_STATIC)

$(LIBPD): $(OBJ)
	$(CC) -o $@ $^ -shared -lm -lpthread $(LDFLAGS)

$(LIBPD_STATIC): $(OBJ)
	ar rcs $@ $^

clean:
	-rm -f *.o $(LIBPD) $(LIBPD_STATIC) $(LIBPD_IMPLIB) $(LIBPD_DEF)

=== libpd/test_libpd/Makefile ===
# This is a makefile to build "test_libpd".  It assumes that libpd is in the 
# source directory "../" and that libpd is already built.

# detect platform
UNAME = $(shell uname)
SOLIB_PREFIX = lib

ifeq ($(UNAME), Darwin) # Mac
  SOLIB_EXT = dylib
  PLATFORM = mac
else
  ifeq ($(OS), Windows_NT) # Windows, use Mingw
    SOLIB_PREFIX =
    SOLIB_EXT = dll
    PLATFORM = windows
  else # assume Linux
    SOLIB_EXT = so
    PLATFORM = linux
  endif
endif

PD_DIR = ../..
LIBPD_DIR = ..
LIBPD = $(SOLIB_PREFIX)pd.$(SOLIB_EXT)

SRC_FILES = test_libpd.c
TARGET = test_libpd

CFLAGS = -I$(PD_DIR)/src -O3
LDFLAGS = $(LIBPD)

.PHONY: libs clean-libs clean clobber

##### all

$(TARGET): ${SRC_FILES:.c=.o} libs
	$(CC) -o $@ ${SRC_FILES:.c=.o} $(LDFLAGS)

##### libs

$(LIBPD):
	cp $(LIBPD_DIR)/$(LIBPD) .

# on windowes, copy libpd and MinGW winpthread dll to here
ifeq ($(PLATFORM), windows)

PTHREAD_DIR = ${MINGW_PREFIX}/bin
PTHREAD = libwinpthread-1.dll

$(PTHREAD):
	cp $(PTHREAD_DIR)/$(PTHREAD) .

libs: $(LIBPD) $(PTHREAD)

clean-libs:
	rm -f $(LIBPD) $(PTHREAD)

# mac & linux, copy libpd to here
else

libs: $(LIBPD)

clean-libs:
	rm -f $(LIBPD)

endif

##### clean

clean: clean-libs
	rm -f $(TARGET) *.o

=== debian/changelog ===
puredata (0.52.1+ds0-1) unstable; urgency=medium

  * Exclude pre-built binaries for macOS and MSW
    - Update d/watch to add ~ds suffix
  * Backported upstream patches
    - Fix mutex resource-leak
    - Fix broken "-nosleep" option
    - Fix GUI lockups
    - Only show docsdir plugin if Pd is started via the GUI
    - Adjust to JACK samplerate changes
    - Make sure text cursor is displayed when editing
    - Fix crasher bug in [list store]
    - Fix crasher bug in [file join]
  * Refresh existing patches
  * Make d/update_pd2puredataPatch more robust
  * Build higher-resolution icon
  * Don't build pd-gui-plugin.1
  * Make passing of Debian-specific timestamps more robust
  * Use execute_before_dh_* rather than override_* when possible
  * Simplify configure-flag handling
  * Separate Build-Depends-Indep
  * Drop no-longer required maintainer scripts

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Feb 2022 11:13:41 +0100

puredata (0.52.1-1) unstable; urgency=medium

  * New upstream version 0.52.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Refresh remaining patches
  * B-D on python3:any to allow crosscompilation
  * Drop overrides for dh_strip/dh_shlibdeps
  * Update lintian-overrides for puredata-extra
  * Update d/watch
    - Bump version
    - Watch upstream repository (rather than upstream homepage)
    - Strip away "-really" suffix
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 16:18:57 +0100

=== debian/control ===
Source: puredata
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libasound2-dev [linux-any],
 libjack-dev,
 portaudio19-dev,
Build-Depends-Indep:
 optipng,
 python3:any,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata

Package: puredata
Architecture: all
Depends:
 puredata-core  (<< ${source:Upstream-Version}+1~),
 puredata-core  (>= ${source:Version}),
 puredata-dev   (<< ${source:Upstream-Version}+1~),
 puredata-dev   (>= ${source:Version}),
 puredata-doc   (<< ${source:Upstream-Version}+1~),
 puredata-doc   (>= ${source:Version}),
 puredata-extra (<< ${source:Upstream-Version}+1~),
 puredata-extra (>= ${source:Version}),
 puredata-gui   (<< ${source:Upstream-Version}+1~),
 puredata-gui   (>= ${source:Version}),
 puredata-utils,
 ${misc:Depends},
Suggests:
 gem,
 multimedia-puredata,
 pd-aubio,
 pd-csound,
 pd-pdp,
 pd-zexy,
Description: realtime computer music and graphics system
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This is a metapackage that depends on all components of the core of Pd.

Package: puredata-core
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 puredata-gui,
Provides:
 pd,
Breaks:
 puredata-gui (<< ${source:Upstream-Version}),
 puredata-gui (>> ${source:Upstream-Version}+1~),
Description: realtime computer music and graphics system - core components
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package only provides the core infrastructure of Pure Data.
 Most likely you will want to install "puredata-gui" (or even "puredata")
 as well.

Package: puredata-gui
Architecture: all
Multi-Arch: foreign
Depends:
 python3:any,
 tcl,
 tk,
 ${misc:Depends},
Recommends:
 puredata,
 puredata-gui-l10n,
 sensible-utils,
Breaks:
 puredata-core (<< ${source:Upstream-Version}),
 puredata-core (>> ${source:Upstream-Version}+1~),
Description: realtime computer music and graphics system - GUI
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the graphical user-interface for Pure Data.
 Most likely you will want to install "puredata-core" (or even "puredata")
 as well.
 Installing this package without the accompanying puredata-core is only useful
 if you want to run the GUI and the DSP on different machines.

Package: puredata-gui-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends:
 puredata-gui (= ${source:Version}),
 ${misc:Depends},
Description: realtime computer music and graphics system - translations
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the translations for the graphical user-interface of
 Pure Data.

Package: puredata-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 node-html5shiv,
 puredata,
Description: realtime computer music and graphics system - documentation
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the documentation for Pure Data.
 Most likely you will want to install "puredata" as well.

Package: puredata-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: realtime computer music and graphics system - development files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the header-files for compiling externals (plugins) for
 puredata.

Package: puredata-utils
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pd-utils,
Description: realtime computer music and graphics system - utility programs
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides utility applications for puredata, namely pdsend and
 pdreceive, for sending and receiving FUDI over the net.

Package: puredata-extra
Architecture: any
Depends:
 puredata-core (<< ${source:Upstream-Version}+1~),
 puredata-core (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: realtime computer music and graphics system - extra files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides extra objects that come with Pd, e.g. for signal
 analysis (fiddle~, sigmund~, bonk~) and more.
 .
 The objects for expression evaluation (expr~) have been included into
 puredata-core, so they are no longer part of this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DH_VERBOSE=1

## use hardening some flags
DPKG_EXPORT_BUILDFLAGS = 1
# if you change values below, you might also need to fix d/salsa-ci.yml
DEB_BUILD_MAINT_OPTIONS=hardening=+format,-fortify,+stackprotector,+relro
export DEB_BUILD_MAINT_OPTIONS

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_CPPFLAGS_MAINT_APPEND=
## only link what is needed
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

CONFIG :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  CONFIG += --enable-alsa
else
  CONFIG += --disable-alsa
endif
CONFIG += --enable-jack
CONFIG += --without-local-portaudio --without-local-portmidi
CONFIG += --program-transform-name='s/pd$$/puredata/'
CONFIG += --libdir=/usr/lib/


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  DEB_CPPFLAGS_MAINT_APPEND+=-D__BSD_VISIBLE
endif

## set timestamp for reproducible builds
DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif
export BUILD_DATE
export DEB_VERSION

%:
	dh $@

execute_before_dh_autoreconf:
	mkdir -p m4/generated

override_dh_auto_configure:
	dh_auto_configure -- \
        $(CONFIG)

execute_after_dh_auto_build-indep: debian/gui-plugins/pd-gui-plugin.1 debian/puredata.png debian/puredata.xpm

override_dh_install:
	find debian/tmp -type f -name "pd.pc" -exec \
		sed -e 's|^Libs: .*|Libs:|' -e 's| -fPIC||' -i {} +
	dh_install -X "*.la" -X "LICENSE.txt" -X "Makefile.am"
	rm -rf debian/puredata-doc/usr/share/puredata/doc/1.manual/1.introduction.txt
	rm -rf debian/puredata-doc/usr/share/puredata/doc/5.reference
	rm -rf debian/puredata-doc/usr/share/puredata/doc/7.stuff

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG.txt

execute_after_dh_fixperms:
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		chmod 0644 {} +
endif
ifneq (,$(findstring puredata-gui, $(shell dh_listpackages)))
	find debian/puredata-gui/ -type f -name "pkg_mkIndex.tcl" -exec \
		chmod 0755 {} +
endif

override_dh_compress:
	dh_compress -X.pd -X.wav -X.aiff -X.txt

execute_after_dh_clean:
	-rm -f debian/puredata.png debian/puredata.xpm

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git|\./\.pc/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
licensecheck:
	LANG=C.UTF-8 licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
	-help2man -N -n "enable or disable a Pd GUI plugin" -o $@ $<

debian/puredata.png: tcl/pd.gif
	optipng -out $@ $<
debian/puredata.xpm: tcl/pd.xpm
	cp $< $@

=== debian/watch ===
# process this file with 'uscan'
version=4

#opts="uversionmangle=s/-/./;s/test/~/" \
#  http://msp.ucsd.edu/Software/pd-@ANY_VERSION@.src.tar.gz

opts=uversionmangle=s/-/./;s/test/~/;s/-really/+really/,\
     repacksuffix=~ds0,\
     dversionmangle=auto \
  https://github.com/pure-data/pure-data/tags .*/v?(\d\S*)\.tar\.gz

## puredata 0.52.2+ds0

=== debian/changelog ===
puredata (0.52.2+ds0-1) unstable; urgency=medium

  * New upstream version 0.52.2+ds0
    - Refresh pd2puredata patch
    - Drop patches applied upstream
    - Refresh remaining patches
  * d/watch
    - Automatically use '+ds' as repackaging suffix
  * d/copyright
    - Update d/copyright
    - Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 28 Mar 2022 09:18:53 +0200

=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,6 @@
 #  http://msp.ucsd.edu/Software/pd-@ANY_VERSION@.src.tar.gz
 
 opts=uversionmangle=s/-/./;s/test/~/;s/-really/+really/,\
-     repacksuffix=~ds0,\
+     repacksuffix=+ds0,\
      dversionmangle=auto \
   https://github.com/pure-data/pure-data/tags .*/v?(\d\S*)\.tar\.gz

## puredata 0.53.1%2Bds

=== debian/tests/control ===
--- 
+++ 
@@ -2,3 +2,13 @@
 Restrictions: allow-stderr
 Depends:
  @,
+
+Test-Command: debian/tests/runtest choice-test
+Depends:
+ puredata-core,
+ puredata-extra,
+
+Test-Command: debian/tests/runtest zexy.repeat-test
+Depends:
+ pd-zexy,
+ puredata-core,

## puredata 0.53.1+ds

=== libpd/test_libpd/Makefile ===
# This is a makefile to build "test_libpd".  It assumes that libpd is in the 
# source directory "../" and that libpd is already built.

# detect platform
UNAME = $(shell uname)
SOLIB_PREFIX = lib

ifeq ($(UNAME), Darwin) # Mac
  SOLIB_EXT = dylib
  STATICLIB_EXT = a
  PLATFORM = mac
else
  ifeq ($(OS), Windows_NT) # Windows, use Mingw
    SOLIB_PREFIX =
    SOLIB_EXT = dll
    STATICLIB_EXT = lib
    PLATFORM = windows
  else # assume Linux
    SOLIB_EXT = so
    STATICLIB_EXT = a
    PLATFORM = linux
  endif
endif

PD_DIR = ../..
LIBPD_DIR = ..
LIBPD = $(SOLIB_PREFIX)pd.$(SOLIB_EXT)
LIBPD_STATIC = $(LIBPD_DIR)/libpd.$(STATICLIB_EXT)

SRC_FILES = test_libpd.c
TARGET = test_libpd

CFLAGS = -I$(PD_DIR)/src -O3

.PHONY: libs clean-libs clean clobber

all: $(TARGET)

##### libs

$(LIBPD):
	cp $(LIBPD_DIR)/$(LIBPD) .

# on windows, copy libpd and MinGW winpthread dll to here
ifeq ($(PLATFORM), windows)

LDFLAGS = $(LIBPD)

PTHREAD_DIR = ${MINGW_PREFIX}/bin
PTHREAD = libwinpthread-1.dll

$(PTHREAD):
	cp $(PTHREAD_DIR)/$(PTHREAD) .

libs: $(LIBPD) $(PTHREAD)

clean-libs:
	rm -f $(LIBPD) $(PTHREAD)

# mac & linux
else

# force static linking? make STATIC=true
ifeq ($(STATIC), true)
LDFLAGS = $(LIBPD_STATIC)
else # copy libpd to here by default
LDFLAGS = $(LIBPD)
libs: $(LIBPD)
endif

clean-libs:
	rm -f $(LIBPD)

endif

##### target

$(TARGET): ${SRC_FILES:.c=.o} libs
	$(CC) -o $@ ${SRC_FILES:.c=.o} $(LDFLAGS)

##### clean

clean: clean-libs
	rm -f $(TARGET) *.o

=== debian/changelog ===
puredata (0.53.1+ds-2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2023-47480: Terminate if canceling setuid() privilege fails

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 Sep 2024 10:17:50 +0300

puredata (0.53.1+ds-2) unstable; urgency=medium

  * Backport upstream ALSA-MIDI fix
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 22:00:40 +0100

puredata (0.53.1+ds-1) unstable; urgency=medium

  * New upstream version 0.53.1+ds

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove patches applied upstream.
  * Refresh patches
  * Drop number from repacksuffix
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update lintian-overrides

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Dec 2022 08:56:13 +0100

puredata (0.53.0+ds0-1) unstable; urgency=medium

  * New upstream version 0.53.0+ds0
    + Refresh pd2puredata patch
    + Refresh patches
  * Ship upstream's metainfo, desktop and icon files
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Oct 2022 22:09:42 +0200

puredata (0.52.2+ds0-2) unstable; urgency=medium

  * Include AppStream metainfo with puredata-gui
  * Drop CRLF newlines in d/*.sharedmimeinfo
  * Add more autopkgtests (puredata-extra, pd-zexy)
  * Add lintian-override to suppress false-positives when detecting missing-sources
  * Declare that there's no need to forward Debian-specific patches
  * Modernized lintian-overrides
  * Use dpkg-mergechangelogs for resolving git merge-conflicts in d/changelog
  * Bump d/copyright dates
  * Apply "wrap-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Sep 2022 13:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
  libjack-dev,
  portaudio19-dev,
 Build-Depends-Indep:
- optipng,
  python3:any,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	dh_auto_configure -- \
         $(CONFIG)
 
-execute_after_dh_auto_build-indep: debian/gui-plugins/pd-gui-plugin.1 debian/puredata.png debian/puredata.xpm
+execute_after_dh_auto_build-indep: debian/gui-plugins/pd-gui-plugin.1
 
 override_dh_install:
 	find debian/tmp -type f -name "pd.pc" -exec \
@@ -78,21 +78,17 @@
 override_dh_compress:
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
 
-execute_after_dh_clean:
-	-rm -f debian/puredata.png debian/puredata.xpm
+debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
+	-help2man -N -n "enable or disable a Pd GUI plugin" -o $@ $<
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	^\./\.git|\./\.pc/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
+        debian/.*|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	LANG=C.UTF-8 licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
-
-debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
-	-help2man -N -n "enable or disable a Pd GUI plugin" -o $@ $<
-
-debian/puredata.png: tcl/pd.gif
-	optipng -out $@ $<
-debian/puredata.xpm: tcl/pd.xpm
-	cp $< $@
